# Episode 11: Migration to RxJava 2 with Artur Dryomov from Juno

### [How to listen & subscribe](https://github.com/artem-zinnatullin/TheContext-Podcast)

 - [Discussion after the episode](https://github.com/artem-zinnatullin/TheContext-Podcast/issues/71)

We've talked to Artur about Juno's way to migrate their Android Riders App from RxJava 1 to RxJava 2. We have covered:

 - Migration strategy at Juno
 - What's different in RxJava 2.0?
 - Null values in RxJava 2
 - Flowable or Observable?
 - Other Rx Types: Single, Maybe and Completable
 - RxJava 2 interop library
 - RxJava 2: Default UncaughtExceptionHandler logs exceptions silently in jvm unit tests
 - RxJava 3

#### Guest:

 - Artur Dryomov [GitHub](https://github.com/ming13)

#### Hosts:

  - Hannes Dorfmann [@sockeqwe](https://twitter.com/sockeqwe), [personal blog](http://hannesdorfmann.com), [GitHub](https://github.com/sockeqwe)
  - Artem Zinnatullin [@artem_zin](https://twitter.com/artem_zin), [personal blog](http://artemzin.com), [GitHub](https://github.com/artem-zinnatullin)

#### Additional links:

  - [Juno's Android Rider Team RxJava 2 Migration Specification](https://github.com/gojuno/engineering/blob/master/specs/rxjava-2-migration.md)
  - [RxKotlin](https://github.com/ReactiveX/RxKotlin)
  - [RxJava 2 interop library](https://github.com/akarnokd/RxJava2Interop)
  - [What's different in RxJava 2.0](https://github.com/ReactiveX/RxJava/wiki/What%27s-different-in-2.0)
  - [RxJava 2: Which type to use](https://github.com/ReactiveX/RxJava/wiki/What%27s-different-in-2.0#which-type-to-use)
  - [RxJava 2: Uncaught errors fail silently in junit tests](https://github.com/ReactiveX/RxJava/issues/5234)
  - [RxJava 2: Discussion about null values](https://github.com/ReactiveX/RxJava/issues/4644#issuecomment-256684743)
  - [RxJava 2 Kotlin SAM issue combineLatest()/etc](https://github.com/ReactiveX/RxKotlin/issues/103)
  - [Reactive Streams specification: null value](https://github.com/reactive-streams/reactive-streams-jvm/issues/204)
  - [Why RxJava 3: Split the library into two or adding types for symmetry](https://github.com/ReactiveX/RxJava/issues/4564)
  - [RxJava 3 Preview](https://github.com/akarnokd/RxJava3-preview)
